Subject: Re: bug#5404: 23.1.91; Nextstep port: M-x gdb hangs in tab completion of symbols

From: [email-masked] (Nick Roberts)
Date: Tue, 19 Jan 2010 15:32:37 +1300

> Running ./gdb/configure fails with
 > 
 >    configure: error: "*** Gdb does not support native target powerpc-apple-darwin8.11.0"
 > 
 > I see these results with gdb-7.0.1, gdb-7.0, and every gdb-6.x release
 > back through 6.2.

Yes, Gdb 7.0+ only supports x86/x86_64 Darwin.

 > On my Intel Mac (Mac OS X 10.6.2), gdb-7.0.1's configure generates a
 > gdb/Makefile, but the compilation fails.  Likewise for gdb-7.0.
 > gdb-6.x tells me that
 > 
 >   configure: error: "*** Gdb does not support native target i386-apple-darwin10.2.0"
 > 
 > It looks like I'm stuck with Apple's gdb.

This one should work, I think, but you need to ask why you get an error on the
gdb mailing list ([email-masked]).

-- 
Nick                                           http://users.snap.net.nz/~nickrob